summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS├ębastien Fabbro <bicatali@gentoo.org>2017-08-15 18:22:09 +0000
committerS├ębastien Fabbro <bicatali@gentoo.org>2017-08-16 18:11:53 +0000
commitde6f7fa12ac92c0074d82525ad58bff3cab5f416 (patch)
treec80b253a50822fdbe05652ac092a9cd0ec6a5bc9 /sci-libs
parentdev-ruby/rake: add ruby22 (diff)
downloadgentoo-de6f7fa12ac92c0074d82525ad58bff3cab5f416.tar.gz
gentoo-de6f7fa12ac92c0074d82525ad58bff3cab5f416.tar.bz2
gentoo-de6f7fa12ac92c0074d82525ad58bff3cab5f416.zip
sci-libs/scikits_learn: version bump. remove doc building for now (downloading internet data)
Package-Manager: Portage-2.3.7, Repoman-2.3.3
Diffstat (limited to 'sci-libs')
-rw-r--r--sci-libs/scikits_learn/Manifest1
-rw-r--r--sci-libs/scikits_learn/scikits_learn-0.19.0.ebuild106
2 files changed, 107 insertions, 0 deletions
diff --git a/sci-libs/scikits_learn/Manifest b/sci-libs/scikits_learn/Manifest
index 9b7f7d03ef7..ee5111b5906 100644
--- a/sci-libs/scikits_learn/Manifest
+++ b/sci-libs/scikits_learn/Manifest
@@ -2,3 +2,4 @@ DIST scikit-learn-0.17.1.tar.gz 7898571 SHA256 9f4cf58e57d81783289fc503caaed1f21
DIST scikit-learn-0.17.tar.gz 7834903 SHA256 23a5b6804524cb2cd54d8310010169511c7633dcf69af7439747eec02677f314 SHA512 53a76e2f90e27967bf216cd9d7e8051ed847a3381e3b7b7b8236511b4105eef41bd4d3c9f7f71a51db4b0bf99cbd571d7c1b26803757cff04424b70cb834b555 WHIRLPOOL 3a1ef13dafe6eb38389f68bc75dee10bfe141bac6d2782cd11be27ffcb8fe7efdf113b6911a238c6cd141bfe3b69960f47cf0725d0ea033129dff8fb5c57bef4
DIST scikit-learn-0.18.1.tar.gz 8933930 SHA256 1eddfc27bb37597a5d514de1299981758e660e0af56981c0bfdf462c9568a60c SHA512 7149e683424351a28c19501302ece147cb03d4d12b08822eb2b1898a4978b96803323778fbba628008dd7a7c85daea4e9b550a71ee76851f9a09b2baac18a799 WHIRLPOOL c709586d3b8bdd938a81e97cfc5c77e31b7b0ef068c2d3f6ec922999a524d9ba0234ca42270724b2f6f3da98409b6d85b229aa241adbc02136b95bbb91c757b6
DIST scikit-learn-0.18.2.tar.gz 9224516 SHA256 f78c3e11bf38838eaf637cdd9e8d6b575a4a4048d1670a03a72b0d00d3f39ffa SHA512 7c5c7bdd577ad215790654ce1eff6e802aebe53283ab6c5f12684cf99aeecc8976f9a9803f619f549d4d03be0d7634f249046e4b4f15afa12aecb2697e2e0b05 WHIRLPOOL eb4ca45c73892ca378bd580f00fd4d7ad3ea886d9522586e88bf291162cb30bd3bb23ead2c5d2283010fac650d183c0979710f30d1ba4a57f12a8e87052df847
+DIST scikit-learn-0.19.0.tar.gz 9341628 SHA256 24f5cb67559e0df27827b1804b197431c08880d2ec9285724fac90906830021f SHA512 1b88bc043b08de9b5bb1f3814b8101c73ced010cf94bd725fb69e1ef95b4a9597a34de4a19f84fbbf63e54d47e95b3ff498d611234fcdfcaa5e4e3cf696289d2 WHIRLPOOL 8131244337c0f491fe687f823164d6ee067b3531576243367c3c99069d5a395b8b38acbc1d446046bd05588637f7ddf329f5a3af9a707efad43f3cbb0d7da492
diff --git a/sci-libs/scikits_learn/scikits_learn-0.19.0.ebuild b/sci-libs/scikits_learn/scikits_learn-0.19.0.ebuild
new file mode 100644
index 00000000000..0b9b744c56a
--- /dev/null
+++ b/sci-libs/scikits_learn/scikits_learn-0.19.0.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1 flag-o-matic
+
+MYPN="${PN/scikits_/scikit-}"
+MYP="${MYPN}-${PV}"
+
+DESCRIPTION="Python modules for machine learning and data mining"
+HOMEPAGE="http://scikit-learn.org"
+SRC_URI="mirror://pypi/${MYPN:0:1}/${MYPN}/${MYP}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples test"
+
+# tried to unbundle virtual/python-funcsigs, funcsigs, odict
+# but it is a large mess to maintain
+
+RDEPEND="
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/numpy[lapack,${PYTHON_USEDEP}]
+ sci-libs/scikits[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+ virtual/blas:=
+ virtual/cblas:=
+"
+
+DEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/numpy[lapack,${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+ virtual/blas:=
+ virtual/cblas:=
+"
+
+S="${WORKDIR}/${MYP}"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.18.1-system-cblas.patch )
+
+python_prepare_all() {
+ # bug #397605
+ [[ ${CHOST} == *-darwin* ]] \
+ && append-ldflags -bundle "-undefined dynamic_lookup" \
+ || append-ldflags -shared
+
+ # scikits-learn now uses the horrible numpy.distutils automagic
+ export SCIPY_FCONFIG="config_fc --noopt --noarch"
+
+ # remove bundled cblas
+ rm -r sklearn/src || die
+
+ # commented out, since it is a mess to maintain
+ # use system joblib
+ #rm -r sklearn/externals/joblib || die
+ #sed -i -e '/joblib/d' sklearn/externals/setup.py || die
+ #for f in sklearn/{*/,}*.py; do
+ # sed -r -e '/^from/s/(sklearn|\.|)\.externals\.joblib/joblib/' \
+ # -e 's/from (sklearn|\.|)\.externals import/import/' -i $f || die
+ #done
+
+ # use system funcsigs and odict
+ #rm sklearn/externals/funcsigs.py || die
+ #rm sklearn/externals/odict.py || die
+ #for f in sklearn/{utils/fixes.py,gaussian_process/{tests/test_,}kernels.py}; do
+ # sed -r -e 's/from (sklearn|\.|)\.externals\.funcsigs/from funcsigs/' -i $f || die
+ #done
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ distutils-r1_python_compile ${SCIPY_FCONFIG}
+}
+
+python_test() {
+ # doc builds and runs tests
+ use doc && return
+ distutils_install_for_testing ${SCIPY_FCONFIG}
+ esetup.py install \
+ --root="${T}/test-${EPYTHON}" \
+ --no-compile ${SCIPY_FCONFIG}
+ pushd "${T}/test-${EPYTHON}/$(python_get_sitedir)" || die > /dev/null
+ JOBLIB_MULTIPROCESSING=2 SKLEARN_SKIP_NETWORK_TESTS=1 nosetests -v sklearn --exe || die
+ popd > /dev/null
+}
+
+python_install() {
+ distutils-r1_python_install ${SCIPY_FCONFIG}
+}
+
+python_install_all() {
+ find "${S}" -name \*LICENSE.txt -delete
+ distutils-r1_python_install_all
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+}